#line 1 "ESQLinit.ec"
#include <sqlhdr.h>
static _SQCURSOR _SQ1;
#define SQLCODE sqlca.sqlcode
#line 1 "urlchk.ec"
/***************************************************
                 ACHTUNG auf defs.h achten !
*/
#include <stdio.h>
#include <string.h> 
#include "wg/config.h"
#include "wg/src/wget.h"
#include "wg/src/options.h"
#include "wg/src/retr.h"
#include "../h/defs.h"
#line 1 "ESQLurlchk.ec"
/* $include sqlca;
 */
/* SQL inserting INCLUDE file '/opt/lib/informix/incl/sqlca.h' */
/* @(#)sqlca.h	1.1 90/05/17 */
/***************************************************************************
 *
 *			   INFORMIX SOFTWARE, INC.
 *
 *			      PROPRIETARY DATA
 *
 *	THIS DOCUMENT CONTAINS TRADE SECRET DATA WHICH IS THE PROPERTY OF 
 *	INFORMIX SOFTWARE, INC.  THIS DOCUMENT IS SUBMITTED TO RECIPIENT IN
 *	CONFIDENCE.  INFORMATION CONTAINED HEREIN MAY NOT BE USED, COPIED OR 
 *	DISCLOSED IN WHOLE OR IN PART EXCEPT AS PERMITTED BY WRITTEN AGREEMENT 
 *	SIGNED BY AN OFFICER OF INFORMIX SOFTWARE, INC.
 *
 *	THIS MATERIAL IS ALSO COPYRIGHTED AS AN UNPUBLISHED WORK UNDER
 *	SECTIONS 104 AND 408 OF TITLE 17 OF THE UNITED STATES CODE. 
 *	UNAUTHORIZED USE, COPYING OR OTHER REPRODUCTION IS PROHIBITED BY LAW.
 *
 *
 *  Title:	sqlca.h
 *  Sccsid:	@(#)sqlca.h	6.5	5/31/89  09:11:33
 *  Description:
 *		SQL Control Area
 *
 ***************************************************************************
 */


struct sqlca_s
    {
    long sqlcode;
    char sqlerrm[72]; /* error message parameters */
    char sqlerrp[8];
    long sqlerrd[6];
		    /* 0 - reserved        */
		    /* 1 - serial value after insert or  ISAM error code */
		    /* 2 - number of rows processed */
		    /* 3 - not used at present */
		    /* 4 - offset into of an error */
		    /* 5 - rowid after insert  */
    struct sqlcaw_s
	{
	char sqlwarn0; /* = W if any of sqlwarn[1-7] = W */
	char sqlwarn1; /* = W if any truncation occurred or
				database has transactions */
	char sqlwarn2; /* = W if a null value returned or
				ANSI database */
	char sqlwarn3; /* = W if no. in select list != no. in into list or
				turbo backend */
	char sqlwarn4; /* = W if no where clause on prepared update, delete or
				incompatible float format */
	char sqlwarn5; /* = W if non-ANSI statement */
	char sqlwarn6; /* reserved */
	char sqlwarn7; /* reserved */
	} sqlwarn;
    };

/* NOTE: 4gl assumes that the sqlwarn structure can be defined as
 *	sqlawarn -- an 8 character string, because single-char
 *	variables are not recognized in 4gl.
 *
 * If this structure should change, the code generated by 4gl compiler
 *	must also change
 */

#ifdef VMS
noshare
#endif /* VMS */
extern struct sqlca_s sqlca;

#define SQLNOTFOUND 100

#line 4 "ESQLurlchk.ec"
/* $include sqlstype;
 */
/* SQL inserting INCLUDE file '/opt/lib/informix/incl/sqlstype.h' */
/* @(#)sqlstype.h	1.1 90/05/17 */
/***************************************************************************
 *
 *			   INFORMIX SOFTWARE, INC.
 *
 *			      PROPRIETARY DATA
 *
 *	THIS DOCUMENT CONTAINS TRADE SECRET DATA WHICH IS THE PROPERTY OF 
 *	INFORMIX SOFTWARE, INC.  THIS DOCUMENT IS SUBMITTED TO RECIPIENT IN
 *	CONFIDENCE.  INFORMATION CONTAINED HEREIN MAY NOT BE USED, COPIED OR 
 *	DISCLOSED IN WHOLE OR IN PART EXCEPT AS PERMITTED BY WRITTEN AGREEMENT 
 *	SIGNED BY AN OFFICER OF INFORMIX SOFTWARE, INC.
 *
 *	THIS MATERIAL IS ALSO COPYRIGHTED AS AN UNPUBLISHED WORK UNDER
 *	SECTIONS 104 AND 408 OF TITLE 17 OF THE UNITED STATES CODE. 
 *	UNAUTHORIZED USE, COPYING OR OTHER REPRODUCTION IS PROHIBITED BY LAW.
 *
 *
 *  Title:	sqlstype.h
 *  Sccsid:	@(#)sqlstype.h	6.3	4/26/89	14:13:16	
 *  Description:
 *		defined symbols for SQL statement types
 *
 ***************************************************************************
 */

/*
 * SQL statement types
 */

#define SQ_DATABASE	1
#define SQ_SELECT	2
#define SQ_SELINTO	3
#define SQ_UPDATE	4
#define SQ_DELETE	5
#define SQ_INSERT	6
#define SQ_UPDCURR	7
#define SQ_DELCURR	8
#define SQ_LDINSERT	9
#define SQ_LOCK		10
#define SQ_UNLOCK	11
#define SQ_CREADB	12
#define SQ_DROPDB	13
#define SQ_CRETAB	14
#define SQ_DRPTAB	15
#define SQ_CREIDX	16
#define SQ_DRPIDX	17
#define SQ_GRANT	18
#define SQ_REVOKE	19
#define SQ_RENTAB	20
#define SQ_RENCOL	21
#define SQ_CREAUD	22
#define SQ_STRAUD	23
#define SQ_STPAUD	24
#define SQ_DRPAUD	25
#define SQ_RECTAB	26
#define SQ_CHKTAB	27
#define SQ_REPTAB	28
#define SQ_ALTER	29
#define SQ_STATS	30
#define SQ_CLSDB	31
#define SQ_DELALL	32
#define SQ_UPDALL	33
#define SQ_BEGWORK	34
#define SQ_COMMIT	35
#define SQ_ROLLBACK	36
#define SQ_SAVEPOINT	37
#define SQ_STARTDB	38
#define SQ_RFORWARD	39
#define SQ_CREVIEW	40
#define SQ_DROPVIEW	41
#define SQ_DEBUG	42
#define SQ_CREASYN	43
#define SQ_DROPSYN	44
#define SQ_CTEMP	45
#define SQ_WAITFOR	46
#define SQ_ALTIDX       47
#define SQ_ISOLATE	48
#define SQ_SETLOG	49
#define SQ_EXPLAIN	50
#define SQ_SCHEMA	51
#line 7 "ESQLurlchk.ec"
/* $include sqltypes;    
 */
/* SQL inserting INCLUDE file '/opt/lib/informix/incl/sqltypes.h' */
/* @(#)sqltypes.h	1.1 90/05/17 */
/***************************************************************************
 *
 *			   INFORMIX SOFTWARE, INC.
 *
 *			      PROPRIETARY DATA
 *
 *	THIS DOCUMENT CONTAINS TRADE SECRET DATA WHICH IS THE PROPERTY OF 
 *	INFORMIX SOFTWARE, INC.  THIS DOCUMENT IS SUBMITTED TO RECIPIENT IN
 *	CONFIDENCE.  INFORMATION CONTAINED HEREIN MAY NOT BE USED, COPIED OR 
 *	DISCLOSED IN WHOLE OR IN PART EXCEPT AS PERMITTED BY WRITTEN AGREEMENT 
 *	SIGNED BY AN OFFICER OF INFORMIX SOFTWARE, INC.
 *
 *	THIS MATERIAL IS ALSO COPYRIGHTED AS AN UNPUBLISHED WORK UNDER
 *	SECTIONS 104 AND 408 OF TITLE 17 OF THE UNITED STATES CODE. 
 *	UNAUTHORIZED USE, COPYING OR OTHER REPRODUCTION IS PROHIBITED BY LAW.
 *
 *
 *  Title:	sqltypes.h
 *  Sccsid:	@(#)sqltypes.h	6.9	7/14/89  14:21:43
 *  Description:
 *		type definition
 *
 ***************************************************************************
 */

#ifndef CCHARTYPE
 /* C language types */

#define CCHARTYPE	100
#define CSHORTTYPE	101
#define CINTTYPE	102
#define CLONGTYPE	103
#define CFLOATTYPE	104
#define CDOUBLETYPE	105
#define CDECIMALTYPE	107
#define CFIXCHARTYPE	108
#define CSTRINGTYPE	109
#define CDATETYPE	110
#define CMONEYTYPE	111
#define CDTIMETYPE	112
#define CLOCATORTYPE    113
#define CVCHARTYPE	114
#define CINVTYPE	115
#define CFILETYPE	116


#define USERCOLL(x)	((x))


/*
 * Define all possible database types
 *   include C-ISAM types here as well as in isam.h
 */

#define SQLCHAR		0
#define SQLSMINT	1
#define SQLINT		2
#define SQLFLOAT	3
#define SQLSMFLOAT	4
#define SQLDECIMAL	5
#define SQLSERIAL	6
#define SQLDATE		7
#define SQLMONEY	8
#define SQLNULL		9
#define SQLDTIME	10
#define SQLBYTES	11
#define SQLTEXT		12
#define SQLVCHAR	13
#define SQLINTERVAL	14
#define SQLTYPE		0xF	/* type mask		*/
#define SQLNONULL	0x100	/* disallow nulls	*/
#define SQLMAXTYPES	15

/* this is not a real type but a flag to show that the
 * value is from a host variable
 */
#define SQLHOST		01000
#define SQLNETFLT	02000

#define SIZCHAR		1
#define SIZSMINT	2
#define SIZINT		4
#define SIZFLOAT	(sizeof(double))
#define SIZSMFLOAT	(sizeof(float))
#define SIZDECIMAL	17	/* decimal(32) */
#define SIZSERIAL	4
#define SIZDATE		4
#define SIZMONEY	17	/* decimal(32) */
#define SIZDTIME	7	/* decimal(12,0) */
#define SIZVCHAR	1

#define ISDECTYPE(t) (ISSQLTYPE(t) && (((t)&SQLTYPE)==SQLDECIMAL || ((t)&SQLTYPE)==SQLMONEY || ((t)&SQLTYPE) == SQLDTIME || ((t)&SQLTYPE) == SQLINTERVAL)) 
#define ISBLOBTYPE(type)   (ISBYTESTYPE (type) || ISTEXTTYPE(type))
#define ISBYTESTYPE(type)  (ISSQLTYPE(type) && ((type) & SQLTYPE) == SQLBYTES)
#define ISTEXTTYPE(type)  (ISSQLTYPE(type) && ((type) & SQLTYPE) == SQLTEXT)
#define ISBLOBCTYPE(type) (ISLOCTYPE(type) || ISFILETYPE(type)) 
#define ISLOCTYPE(type) ((type) == CLOCATORTYPE) 
#define ISFILETYPE(type) ((type) == CFILETYPE) 
#define ISVCTYPE(t)	(ISSQLTYPE(t) && ((t) & SQLTYPE) == SQLVCHAR)

#define ISSQLTYPE(t)	((t) >= SQLCHAR && ((t)&SQLTYPE) < SQLMAXTYPES)

#define DEFDECIMAL	9	/* default decimal(16) size */
#define DEFMONEY	9	/* default decimal(16) size */
#define DATENULL	0x80000000L
#define DATEDOOM 	0x80000001L

#define SYSPUBLIC	"public"


#endif /* CCHARTYPE */
#define JDEBUG
 
struct options opt;

extern int find_suchbegriff(FILE *fp, char *suchbegriff);

main()
{
#line 1 "MSQLurlchk.ec"
        int lfnr;
#line 2 "MSQLurlchk.ec"
        long datum;
#line 24 "urlchk.ec"
/*
	$char lfnr[LFNR_LEN];
*/
#line 3 "MSQLurlchk.ec"
        char url[URL_LEN];
#line 4 "MSQLurlchk.ec"
        char thema[THEMA_LEN];
#line 5 "MSQLurlchk.ec"
        char suchbegriff[SUCHBEGRIFF_LEN];
#line 6 "MSQLurlchk.ec"
        char buffer[315];
#line 7 "MSQLurlchk.ec"
        int suchzahl;
#line 8 "MSQLurlchk.ec"
        int gueltig;
#line 9 "MSQLurlchk.ec"
        int mtime;
#line 10 "MSQLurlchk.ec"
        int isize;
#line 35 "urlchk.ec"

	char datestr[20];
	int status, dt, i, treffer;
	char *filename, *new;
/* initialize options for wget  */
	opt.verbose = 1;
	opt.quiet = 1;
	opt.ntry = 2;
	opt.kill_longer = 0;
	opt.relative_only = 0;
	opt.no_parent = 1;
	opt.simple_check = 1;
	opt.maxreclevel = 1;
	opt.prefix_files = 0;
	opt.dirstruct = 0;
	opt.no_dirstruct = 0;
	opt.dirmode = 0;
	opt.add_hostdir = 0;
	opt.noclobber = 0;
	opt.dir_prefix = NULL;
	opt.fileprefix = NULL;
	opt.lfilename = NULL;
	opt.input_filename = NULL;
	opt.force_html = 0;
	opt.spider = 0;
	opt.accepts = NULL;
	opt.rejects = NULL;
	opt.excludes = NULL;
	opt.domains = NULL;
	opt.follow_ftp = 0;
	opt.output_document = (char *)malloc(sizeof(OUTNAME));
	strcpy(opt.output_document, OUTNAME);
	opt.always_rest = 0;
	opt.ftp_acc = NULL;
	opt.ftp_pass = NULL;
	opt.ftp_glob = 0;
	opt.http_user = NULL;
	opt.http_passwd = NULL;
	opt.user_header = NULL;
	opt.lfile = fopen(LOGNAME,"w");
	if (!opt.lfile)
	{
		perror("failed to open logfile:");
		exit(-1);
	}
	opt.use_proxy = 1;
	opt.proxy_cache = 1;
	opt.http_proxy = (char *)malloc(sizeof(PROXYNAME));
	strcpy(opt.http_proxy, PROXYNAME);
	opt.ftp_proxy = NULL;
	opt.no_proxy = NULL;
	opt.base_href = NULL;
	opt.timeout = 11;
	opt.use_robots = 0;
	opt.quota = 500*1024;
	opt.downloaded = 0;
	opt.numurls = 0;
	opt.print_server_response = 0;
	opt.save_headers = 0;
	opt.timestamping = 1;
	opt.backups = 0;
	opt.useragent = (char *)malloc(sizeof(AGENTNAME));
	strcpy(opt.useragent, AGENTNAME);
	opt.convert_links = 0;
	opt.remove_listing = 0;
	opt.jspecial = 1;
/*  ende der opt_initialisierung */

	dbpath();
#line 11 "MSQLurlchk.ec"
/* 	$database "/home/daten/dbanz";
 */
 { /* Beginning of ESQL/C generated code */
 _iqdatabase("/home/daten/dbanz", 0, 0, (char *) 0);
 } /* End of ESQL/C generated code */
#line 105 "urlchk.ec"
		if (sqlca.sqlcode != 0)
		{
			printf("SQL-CODE: %d\n", sqlca.sqlcode);
			exit(0);
		}

#line 16 "MSQLurlchk.ec"
/* 	$declare zeigera cursor for
 */
 { /* Beginning of ESQL/C generated code */
 static char *sqlcmdtxt[] =
  {
  " select lfnr , datum , url , thema , suchbegriff , suchzahl , gueltig",
   " , mtime , isize from such for update of suchzahl , gueltig , mtime ,",
   " isize",
  (char *) 0
  };
 static struct sqlvar_struct _sqobind[] = 
 {
 {102, sizeof(lfnr), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {103, sizeof(datum), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {100, sizeof(url), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {100, sizeof(thema), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {100, sizeof(suchbegriff), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(suchzahl), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(gueltig), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(mtime), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(isize), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},

 };
 _sqobind[0].sqldata = (char *) &(lfnr);
 _sqobind[1].sqldata = (char *) &(datum);
 _sqobind[2].sqldata = (url);
 _sqobind[3].sqldata = (thema);
 _sqobind[4].sqldata = (suchbegriff);
 _sqobind[5].sqldata = (char *) &(suchzahl);
 _sqobind[6].sqldata = (char *) &(gueltig);
 _sqobind[7].sqldata = (char *) &(mtime);
 _sqobind[8].sqldata = (char *) &(isize);
 _iqdclcur(&_SQ1, "zeigera", sqlcmdtxt, 0, (char *) 0, 9, _sqobind, 0);
 } /* End of ESQL/C generated code */
#line 115 "urlchk.ec"

#line 50 "MSQLurlchk.ec"
/* 	$open zeigera;
 */
 { /* Beginning of ESQL/C generated code */
 _iqcopen(&_SQ1, 0, (char *) 0, (char *) 0, (char *) 0, 0);
 } /* End of ESQL/C generated code */
#line 117 "urlchk.ec"
	
	for(;;)
	{
#line 55 "MSQLurlchk.ec"
/* 		$fetch zeigera;
 */
 { /* Beginning of ESQL/C generated code */
 _iqnftch(&_SQ1, 0, (char *) 0, (char *) 0, 1, (long) 0, 0, (char *) 0, (char *) 0, 0);
 } /* End of ESQL/C generated code */
#line 121 "urlchk.ec"
	printf(".");
		if (sqlca.sqlcode != 0)
		{
			if (sqlca.sqlcode == SQLNOTFOUND)
				break;
			printf("SQL-CODE: %d\n", sqlca.sqlcode);
			exit(0);
		}
		for (i=0;i<60;i++)
		{
			if((url[i] == ' ') & (url[i+1] == ' '))
				url[i] = '\0';
		}
#ifdef JDEBUG 
		printf("gefundene url: \"%s\" \n",url);
		printf("lfnr: %d\n",lfnr);
		if (risnull(CDATETYPE,&datum))
			printf("datum: NULL\n");
		else
		{
			rdatestr(datum,datestr);
			printf("datum: %ld (%s)\n",datum, datestr);
		}
		printf("thema: %s\n", thema);
		printf("suchbegriff: %s\n", suchbegriff);
		printf("suchzahl %d\n", suchzahl);
		printf("gueltig %d\n", gueltig);
		printf("mtime %d\n", mtime);
		printf("size %d\n", isize);
#endif

		opt.dfp = fopen(OUTNAME,"wb");
		if (!opt.dfp)
		{
			perror("failed to open outputfile:");
			exit(-1);
		}
		/* mtime und size aus DB setzen */
		opt.mtime = mtime;
		opt.size = isize;
		/* url aus dem Netz lesen */
		status = retrieve_url(url, &filename, &new, NULL, &dt);

		if (status == RETROK) 
		{
			/* dokument gefunden */
			if ((mtime < opt.mtime) || (isize != opt.size))
			{
				/* dokument veraendert */
				fclose (opt.dfp);
				opt.dfp = fopen(OUTNAME,"rb");
				if (!opt.dfp)
				{
					perror("failed to reopen outputfile:");
					exit(-1);
				}
				/* dokument nach suchbegriff durchsuchen */
				strcpy(buffer,suchbegriff);
				strcat(buffer," "); 
				strcat(buffer,thema);
				treffer = find_suchbegriff(opt.dfp, buffer);
				if (treffer > 0 )
				{
				if (suchzahl < MAXSUCHZAHL)
				    suchzahl = suchzahl +1;
				}

#ifdef JDEBUG
				printf("treffer: %d updating\n",treffer);
#endif
				mtime = opt.mtime;
				isize = opt.size;
				if (gueltig < MAXGUELTIG)
				   gueltig = gueltig +1;
#ifdef JDEBUG
				printf("updating gueltig +1\n");
#endif
#line 60 "MSQLurlchk.ec"
/* 				$update such
 */
 { /* Beginning of ESQL/C generated code */
 static char *sqlcmdtxt[] =
  {
  " update such set suchzahl = ? , mtime = ? , isize = ? , gueltig = ?",
   " where current of zeigera",
  (char *) 0
  };
 static _SQSTMT _SQ0 = {0};
 static struct sqlvar_struct _sqibind[] = 
 {
 {102, sizeof(suchzahl), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(mtime), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(isize), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(gueltig), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},

 };
 _sqibind[0].sqldata = (char *) &(suchzahl);
 _sqibind[1].sqldata = (char *) &(mtime);
 _sqibind[2].sqldata = (char *) &(isize);
 _sqibind[3].sqldata = (char *) &(gueltig);
 _iqstmnt(&_SQ0, sqlcmdtxt, 4, _sqibind, (char *) 0);
 } /* End of ESQL/C generated code */
#line 201 "urlchk.ec"
				if (sqlca.sqlcode != 0)
				{
					printf("SQL-CODE: %d\n", sqlca.sqlcode);
				}
			}
			else
			{
				/* dokument unveraendert */
				fclose (opt.dfp);
				mtime = opt.mtime;
				isize = opt.size;
				if (gueltig < MAXGUELTIG)
				   gueltig = gueltig +1;
#ifdef JDEBUG
				printf("updating gueltig +1\n");
#endif
#line 85 "MSQLurlchk.ec"
/* 				$update such
 */
 { /* Beginning of ESQL/C generated code */
 static char *sqlcmdtxt[] =
  {
  " update such set gueltig = ? where current of zeigera",
  (char *) 0
  };
 static _SQSTMT _SQ0 = {0};
 static struct sqlvar_struct _sqibind[] = 
 {
 {102, sizeof(gueltig), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},

 };
 _sqibind[0].sqldata = (char *) &(gueltig);
 _iqstmnt(&_SQ0, sqlcmdtxt, 1, _sqibind, (char *) 0);
 } /* End of ESQL/C generated code */
#line 220 "urlchk.ec"
				if (sqlca.sqlcode != 0)
				{
					printf("SQL-CODE: %d\n", sqlca.sqlcode);
				}
			}
		}
		else if (status == WRONGCODE)
		{
#ifdef JDEBUG
				printf("WRONGCODE: \n");
#endif
			/* dokument nicht gefunden */
				fclose (opt.dfp);
#ifdef JDEBUG
				printf("updating gueltig -1\n");
#endif
				mtime = opt.mtime;
				isize = opt.size;
				if (suchzahl > 1)
				suchzahl = suchzahl -1;
				if (gueltig > 1)
				gueltig = gueltig -1;
#line 103 "MSQLurlchk.ec"
/* 				$update such
 */
 { /* Beginning of ESQL/C generated code */
 static char *sqlcmdtxt[] =
  {
  " update such set suchzahl = ? , gueltig = ? where current of zeigera",
  (char *) 0
  };
 static _SQSTMT _SQ0 = {0};
 static struct sqlvar_struct _sqibind[] = 
 {
 {102, sizeof(suchzahl), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},
 {102, sizeof(gueltig), (char *) 0, (short *) 0, (char *) 0, (char *) 0, 0, 0, (char *) 0},

 };
 _sqibind[0].sqldata = (char *) &(suchzahl);
 _sqibind[1].sqldata = (char *) &(gueltig);
 _iqstmnt(&_SQ0, sqlcmdtxt, 2, _sqibind, (char *) 0);
 } /* End of ESQL/C generated code */
#line 245 "urlchk.ec"
				if (sqlca.sqlcode != 0)
				{
					printf("SQL-CODE: %d\n", sqlca.sqlcode);
				}
		}
		else
		{
#ifdef JDEBUG
			printf("status: %d\n",status);
#endif
		}
			
#ifdef JDEBUG
		printf("status: %d\n",status);
		printf("new mtime: %ld\n", opt.mtime);
		printf("new size: %d\n", opt.size);
		printf("-----------------------------------\n");
#endif
		fclose (opt.dfp);
	}
#line 123 "MSQLurlchk.ec"
/* 	$close zeigera;
 */
 { /* Beginning of ESQL/C generated code */
 _iqclose(&_SQ1);
 } /* End of ESQL/C generated code */
#line 266 "urlchk.ec"
}
