#include <stdio.h>
#include <string.h>
#include <math.h>

#define LINEBUFSIZE	65000
#define LINEBUFLIMIT 512

char mybuf[LINEBUFSIZE];

void strlow(char *str)
{
	int i;
	
	i = 0;
	while (str[i] != '\0')
	{
		str[i] = tolower(str[i]);
		i++;
	}
}

char *strip_html(FILE *fp)
{
	unsigned char z;
	int i;

	i = 0;

	z = fgetc(fp);

	if (feof(fp))
		return(NULL);

	if (z == '<')
	{
		while ((!feof(fp)) && (z != '>'))
		{
			z = fgetc(fp);
		}
		z = fgetc(fp);
	}

	while ((!feof(fp)) && (z != '<'))
	{
		if (i > LINEBUFSIZE)
		{
			fprintf(stderr,"sorry LINEBUFSIZE too short, exiting\n");
			return(NULL);
		}
/* exit (-2) */
		if (i > (LINEBUFSIZE - LINEBUFLIMIT))
		{
			if (z == '\n')
				break;
		}
		mybuf[i] = z;
		i++;
		z = fgetc(fp);
	}
	if (!feof(fp))
		ungetc(z,fp);

	mybuf[i] = '\0';
	return(mybuf);
		
}

int find_suchbegriff(FILE *fp, char *suchbegriff)
{
	char *zeile;
	char *token;
	char *ptr;
	char sep[20];
	char suchb[255];
	int treffer, tokens;

	treffer = 0;
	strncpy(suchb, suchbegriff, 250);
#ifdef JDEBUG
	fprintf(stderr, "%s\n",suchbegriff);
#endif
	strcpy(sep," ");
	zeile = strip_html(fp);
	while (zeile)
	{
		strlow(zeile);
		ptr = suchb;
		tokens = 0;
		token = strtok(ptr, sep);
		while (token != NULL)
		{
			tokens++;
			strlow(token);
			if (strstr(zeile, token))
				treffer ++;
			token = strtok(NULL, sep);
		}
		zeile = strip_html(fp);
	}
	return((rint(1*(double)treffer/(double)tokens))); 
}
